function bR_red = E_from_2AC(y,p)

A(1:3,:)=[reshape(y(1:6),2,3);0 0 1];
A(4:6,:)=[reshape(y(7:12),2,3);0 0 1];

u0 = reshape(p(1:4),2,2);
v0 = reshape(p(5:8),2,2);
Bv = p(9:11);
Rm = reshape(p(12:20),3,3);


% estimate E
E_est = ori_E_from_2ACs(u0,v0,A);


% recover parameters
v  = v0+[A(1:2,3)';A(4:5,3)'];
[t,R,~] = sugr_bR_from_E_uv (E_est,[u0,[1;1]],[v,[1;1]]);

% determine differences
bR_red = [null(Bv')'*t;calc_v_from_S(R*Rm')];

end

