function [Bv,Rm,E_true] = generate_camera_pair(sigma_r,sigma_B)

P1m = [eye(3),zeros(3,1)];
rv   = sigma_r * randn(3,1);
Bv   = [1,0,0]' + sigma_B * randn(3,1);
Bv   = Bv/norm(Bv);
Rm   = expm(calc_S(rv));
P2m  = Rm * [eye(3),Bv];
E_true = calc_S(Bv)*Rm';
E_true = E_true*sqrt(2)/norm(E_true(:));
end

