function [X1hev,Ahe1,X2hev,Ahe2] = generate_planes(sigma_X,sigma_N)
% 1. plane
X1v        =  [0.5;+0.5;-1] + sigma_X * randn(3,1);
%X1v        =  [0;0;-1] + sigma_X * randn(3,1);
X1hev      =  [X1v;1];
Normal1_v  = -[0;0;1] + sigma_N * randn(3,1);
Normal1_sv = Normal1_v / norm(Normal1_v);
Normal1_ev = Normal1_v / Normal1_v(3)*sign(Normal1_v(3));
Ahs1       = [Normal1_sv; -Normal1_sv'*X1v];
Ahe1       = -Ahs1/Ahs1(3);
% 2. plane
X2v        =  [-0.5;-0.5;-1] + sigma_X * randn(3,1);
%X2v        =  [0;0;-1] + sigma_X * randn(3,1);
X2hev      =  [X2v;1];
Normal2_v  = -[0;0;1] + sigma_N * randn(3,1);
Normal2_sv = Normal2_v / norm(Normal2_v);
Normal2_ev = Normal2_v / Normal2_v(3)*sign(Normal1_v(3));
Ahs2       = [Normal2_sv; -Normal2_sv'*X2v];
Ahe2       = -Ahs2/Ahs2(3);

end

