% ORI_MULTO2 Multiply 3-variate polynomial p1 of degree two 
% with 3-variate polynomial p2 of degree one
% @author Christian Beder
function r = ori_multo2(p1,p2)
    s1 = length(p1);
    s2 = length(p2);
    k = reshape (kron(p2,p1)', s1,s2);
    assign = [1,3,5,6;4,2,7,8;11,14,17,18;3,4,9,10;9,7,14,15;5,9,11,12;6,10,12,13;10,8,15,16;12,15,18,19;13,16,19,20];
    r = zeros(1,20);
    for i=1:s1
        for j=1:s2
            r(assign(i,j)) = r(assign(i,j)) + k(i,j);
        end;
    end;
return
